
From: Martin Schwidefsky <schwidefsky@de.ibm.com>

The cputime_to_secs and secs_to_cputime primitives in
include/asm-generic/cputime.h can be simplified since the default cputime
implementation assumes that cputime is measured in jiffies.  The
intermediate conversion to milliseconds is superflous.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-generic/cputime.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/asm-generic/cputime.h~cputime-simplifiy-generic-cputime_to_secs-secs_to_cputime include/asm-generic/cputime.h
--- 25/include/asm-generic/cputime.h~cputime-simplifiy-generic-cputime_to_secs-secs_to_cputime	2005-01-25 21:42:19.522192000 -0800
+++ 25-akpm/include/asm-generic/cputime.h	2005-01-25 21:42:19.525191544 -0800
@@ -35,8 +35,8 @@ typedef u64 cputime64_t;
 /*
  * Convert cputime to seconds and back.
  */
-#define cputime_to_secs(__ct)		(jiffies_to_msecs(__ct) / 1000)
-#define secs_to_cputime(__secs)		(msecs_to_jiffies((__secs) * 1000))
+#define cputime_to_secs(jif)		((jif) / HZ)
+#define secs_to_cputime(sec)		((sec) * HZ)
 
 /*
  * Convert cputime to timespec and back.
_
